apiVersion: workspace.devfile.io/v1alpha2
kind: DevWorkspace
metadata:
  annotations:
    che.eclipse.org/che-editor: che-incubator/che-idea-server/latest
    che.eclipse.org/devfile: |
      schemaVersion: 2.2.2
      metadata:
        name: ubi9-minimal-demo
        namespace: admin-devspaces
      components:
        - name: tools
          container:
            image: registry.access.redhat.com/ubi9-minimal
            args:
              - tail
              - '-f'
              - /dev/null
            endpoints:
              - exposure: public
                name: nodejs
                protocol: http
                targetPort: 3000
            memoryLimit: 2Gi
            memoryRequest: 256Mi
            mountSources: true
          attributes:
            controller.devfile.io/merge-contribution: true
      projects:
        - name: ubi9-based-sample-public
          git:
            remotes:
              origin: https://github.com/crw-qe/ubi9-based-sample-public.git
            checkoutFrom:
              revision: ubi9-minimal
      attributes:
        dw.metadata.annotations:
          che.eclipse.org/devfile-source: |
            scm:
              repo: https://github.com/crw-qe/ubi9-based-sample-public.git
              revision: ubi9-minimal
              fileName: devfile.yaml
            factory:
              params: >-
                che-editor=che-incubator/che-idea-server/latest&url=https://github.com/crw-qe/ubi9-based-sample-public/tree/ubi9-minimal
    che.eclipse.org/last-updated-timestamp: '2025-03-02T21:14:22.163Z'
  resourceVersion: '486963'
  name: ubi9-minimal-demo
  uid: 2e86fb11-f147-4ac4-95e3-e5bf2f8a16a7
  creationTimestamp: '2025-03-02T21:14:18Z'
  generation: 5
  managedFields:
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:che.eclipse.org/che-editor': {}
            'f:che.eclipse.org/devfile': {}
            'f:che.eclipse.org/last-updated-timestamp': {}
        'f:spec':
          .: {}
          'f:contributions': {}
          'f:routingClass': {}
          'f:template':
            .: {}
            'f:attributes':
              .: {}
              'f:controller.devfile.io/devworkspace-config':
                .: {}
                'f:name': {}
                'f:namespace': {}
              'f:controller.devfile.io/scc': {}
              'f:controller.devfile.io/storage-type': {}
              'f:dw.metadata.annotations':
                .: {}
                'f:che.eclipse.org/devfile-source': {}
            'f:components': {}
            'f:projects': {}
      manager: unknown
      operation: Update
      time: '2025-03-02T21:14:21Z'
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"rbac.controller.devfile.io"': {}
            'v:"storage.controller.devfile.io"': {}
        'f:spec':
          'f:started': {}
      manager: devworkspace-controller
      operation: Update
      time: '2025-03-02T21:25:56Z'
    - apiVersion: workspace.devfile.io/v1alpha2
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:devworkspaceId': {}
          'f:mainUrl': {}
          'f:message': {}
          'f:phase': {}
      manager: devworkspace-controller
      operation: Update
      subresource: status
      time: '2025-03-02T21:25:56Z'
  namespace: admin-devspaces
  finalizers:
    - storage.controller.devfile.io
    - rbac.controller.devfile.io
  labels:
    controller.devfile.io/creator: 6439a8f1-da0f-4306-8f0d-5e18b0cd29c2
spec:
  contributions:
    - kubernetes:
        name: che-idea-server-ubi9-minimal-demo
      name: editor
  routingClass: che
  started: false
  template:
    attributes:
      controller.devfile.io/devworkspace-config:
        name: devworkspace-config
        namespace: openshift-devspaces
      controller.devfile.io/scc: container-build
      controller.devfile.io/storage-type: per-user
      dw.metadata.annotations:
        che.eclipse.org/devfile-source: |
          scm:
            repo: https://github.com/crw-qe/ubi9-based-sample-public.git
            revision: ubi9-minimal
            fileName: devfile.yaml
          factory:
            params: >-
              che-editor=che-incubator/che-idea-server/latest&url=https://github.com/crw-qe/ubi9-based-sample-public/tree/ubi9-minimal
    components:
      - attributes:
          controller.devfile.io/merge-contribution: true
        container:
          args:
            - tail
            - '-f'
            - /dev/null
          endpoints:
            - exposure: public
              name: nodejs
              protocol: http
              targetPort: 3000
          image: registry.access.redhat.com/ubi9-minimal
          memoryLimit: 2Gi
          memoryRequest: 256Mi
          mountSources: true
          sourceMapping: /projects
        name: tools
    projects:
      - git:
          checkoutFrom:
            revision: ubi9-minimal
          remotes:
            origin: 'https://github.com/crw-qe/ubi9-based-sample-public.git'
        name: ubi9-based-sample-public
status:
  conditions:
    - lastTransitionTime: '2025-03-02T21:25:56Z'
      message: DevWorkspace failed to progress past step 'Waiting for editor to start' for longer than timeout (600s)
      reason: InfrastructureFailure
      status: 'True'
      type: FailedStart
    - lastTransitionTime: '2025-03-02T21:25:56Z'
      message: Workspace stopped due to error
      status: 'False'
      type: Started
    - lastTransitionTime: '2025-03-02T21:25:56Z'
      status: Unknown
      type: DevWorkspaceResolved
    - lastTransitionTime: '2025-03-02T21:25:56Z'
      status: Unknown
      type: StorageReady
    - lastTransitionTime: '2025-03-02T21:25:56Z'
      status: Unknown
      type: RoutingReady
    - lastTransitionTime: '2025-03-02T21:25:56Z'
      status: Unknown
      type: ServiceAccountReady
    - lastTransitionTime: '2025-03-02T21:25:56Z'
      status: Unknown
      type: PullSecretsReady
    - lastTransitionTime: '2025-03-02T21:25:56Z'
      status: Unknown
      type: DeploymentReady
    - lastTransitionTime: '2025-03-02T21:25:56Z'
      status: Unknown
      type: Ready
  devworkspaceId: workspace2e86fb11f1474ac4
  mainUrl: 'https://devspaces.apps.ocp417-aws.crw-qe.com/admin/ubi9-minimal-demo/3400/'
  message: DevWorkspace failed to progress past step 'Waiting for editor to start' for longer than timeout (600s)
  phase: Failed
